jQuery 2

Уважаемые разработчики,
интересуют Ваши размышления по поводу перевода вашего фреймворка и всех его приложений на самую последнюю версию jQuery, а именно jQuery 2.x ?
Будет ли осуществлен этот переход? И если нет, то не могли бы Вы пояснить почему?

1 ответ

  • 1
    Vladislav 10 января 2014 10:50 #
    со 2 версии отключена поддержка старых версий браузеров, в частности IE 8. Вы готовы пожертвовать функциональностью для своих клиентов а следовательно расстаться с потенциальной аудиторией, ради цыфры 2 в версии скрипта?
    • 0
      Сергей Сергей 10 января 2014 23:18 #
      Google официально уже почти как год не поддерживают IE 8 в своих продуктах.
      По нашим личным подсчетам на IE 8 сидит всего лишь 1.5% аудитории нашего сайта. Браузеру уже почти 5 лет, а веб стандарты развиваются каждый день. И в крупных проектах поддерживать совместимость с браузерами ниже IE9 довольно таки дорогостоящее и затратное занятие, да и постоянно приходится себя в чем то ограничивать.
      Да и долго описывать плюсы и необходимость перехода на более новую версию jQuery.
      В конце концов если у Вас "пещерный" бизнес для таких же "пещерных" людей, можно сверстать сайт на чистом html по самым первым стандартам и радоваться, что Ваш сайт поддерживает браузеры версии IE6+

Добавить ответ

Чтобы добавить комментарий, зарегистрируйтесь или войдите